<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <link rel="shortcut icon" type="image/png" href="groceries.png" />
    <title>Список покупок</title>
</head>

<body>

    <main>
        <div class="container">
            <div class="notebook">
                <div class="title">
                    <h1>Список покупок</h1>
                </div>
                <div class="input-container">
                    <i class="fa-solid fa-eraser" id="eraser"></i>
                    <input type="text" id="userInput">
                </div>
                <div id="groceryItems"></div>
            </div>
        </div>
    </main>


    <script>
        document.querySelector("#eraser").addEventListener("click", () => {
            document.querySelector("#groceryItems").textContent = "";
        })

        document.querySelector("#userInput").addEventListener("keydown", (event) => {
            if (event.key == "Enter")
                addItem();
        });

        addItem = () => {
            const item = document.createElement("h2")
            item.textContent = "- " + document.querySelector("#userInput").value;

            item.addEventListener("click", () => {
                if (item.style.textDecoration != "line-through")
                    item.style.textDecoration = "line-through";
                else
                    item.style.textDecoration = "none";
            })

            document.querySelector("#groceryItems").appendChild(item);
            document.querySelector("#userInput").value = "";
        }

    </script>
    
    <style>
    *{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    }

    body{
    font-family: "mumblers_demoregular";
    color: #262626;
    background-color: orange;
    }

    .container{
    width: 95%;
    margin: auto;
    display: flex;
    }

    .notebook{
    width: 600px;
    min-height: 100vh;
    padding-top: 20px;
    margin:auto;
    display: flex;
    gap: 10px;
    align-items: center;
    flex-direction: column;
    background-color: white;
    box-shadow: 10px 10px 24px 0px rgba(0,0,0,0.50);
    }

    .title{
    font-size: 1.25rem;
    text-align: center;
    }

    .input-container{
    width: 100%;
    display: flex;
    gap: 10px;
    justify-content: center;
    }

    .input-container i{
    cursor: pointer;
    font-size: 2.5rem;
    color: lightpink;
    }

    .input-container input{
    font-family: inherit;
    outline: 0;
    border: 0;
    width: 65%;
    font-size: 1.5rem;
    border-bottom: 3px solid lightgray;
    }

    #groceryItems{
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 75%;
    font-size: 1.5rem;
    }

    #groceryItems h2{
    cursor: pointer;
    }

    @media(max-width:768px) {
    #groceryItems {
    font-size: 1.2rem;
    }
    }

    @media(max-width:480px){
    .title{
    font-size: 1rem;
    }

    .input-container i{
    font-size: 2rem;
    }

    .input-container input{
    font-size: 1rem;
    }

    #groceryItems{
    font-size: 0.9rem;
    }
    }
</style>

</body>

</html>